Page MenuHomePhabricator

API sandboxes for the Developer Hub
Closed, DeclinedPublic

Description

The Developer Hub has a Explore section where users can play with the API in a functional sandbox.

Since the sandbox probably relies on the platform where it is used, and since the platform used in the prototype might not be the final, we need to discuss. The default approach is to have a proof of concept in MediaWiki, because MediaWiki currently is the default platform considered for the Developer Hub.

This API sandbox needs to be tested against the three APIs selected for the prototype.

See also:

Details

Reference
fl481

Event Timeline

flimport raised the priority of this task from to Normal.Sep 12 2014, 1:43 AM
flimport added a project: Web-APIs-Hub.
flimport set Reference to fl481.

anomie wrote on 2014-08-01 14:25:41 (UTC)

"The API" is something of a misnomer, as there are many. And chances are the three selected for the prototype really will be three different APIs rather than three aspects of one API.

ApiSandbox is designed to work with the MW API at /w/api.php. While it might be possible to cram everything into one special page I'd really rather each different API gets its own sandbox. That allows the interface for each to be simpler and allows the code to not be a mess of separate things.

qgil wrote on 2014-08-01 15:01:26 (UTC)

In T481#10, @Anomie wrote:

While it might be possible to cram everything into one special page I'd really rather each different API gets its own sandbox. That allows the interface for each to be simpler and allows the code to not be a mess of separate things.

This makes total sense, but then we need to define how each sandbox integrates with each API doc. Currently [https://www.mediawiki.org/wiki/Data_%26_Developer_Hub#mediaviewer/File:Data_%26_Developer_Hub_Wireframe_3.png the wireframe] indicates a top section for "Sandbox", while the is no indication about how these sandboxes should look like.

This is the current MediaWiki sandbox. Should it be placed at the end of each API doc, with a visible link at the top of the page?

Also, what happens with the "Explore" section? If it's just a list of links to the sandboxes of each API, then we might just skip it.

flimport added a subscriber: Anomie.
Qgil lowered the priority of this task from Normal to Low.Feb 4 2015, 8:50 AM

We have decided to prioritize the creation of some actual content under the existing API: namespace in mediawiki.org.

@Spage, can you define what exactly do we need for T101441: Goal: Integrate the new Web APIs hub with mediawiki.org in the next quarter, if anything?

Without this, we cannot even ask @Anomie / Reading Infrastructure for help in the next three months.

Anomie removed Anomie as the assignee of this task.Dec 29 2016, 2:57 AM
Aklapper closed this task as Declined.Oct 7 2019, 11:17 AM
Aklapper added a subscriber: Aklapper.

The Web-APIs-Hub project is dead hence mass-declining its tasks to reflect reality. It might be superseded by a Developer Portal in the future.